<%@ Page language="c#" Codebehind="Payment.aspx.cs" AutoEventWireup="true" Inherits="XpShop.Manage.Payment" validateRequest="false" %>
<%@ Register TagPrefix="ftb" Namespace="FreeTextBoxControls" Assembly="FreeTextBox" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML>
	<HEAD>
	    <!--#include file="inc/head.inc"-->
		<title>Payment</title>
			<script language="javascript">
			$(document).ready(function(){
				if($("#ddlPayType").val()==1){
					$(".interface").show();
				};
				Init($("#ddlInterface").val());
				$("#ddlPayType").bind("change",function(){
					if($(this).val()!=1){
						$("#ddlInterface").val("0");
						$(".online").hide();
					}else{
						$("#register").html("");
						$(".interface").show();
					};
				});
				$("#ddlAliPaySetting").change(function(){
					ShowAlipayButton();
				});
				$("#ddlInterface").bind("change",function(){
					Init($(this).val());
				});
				$("#btnSave").click(function(){
					if($("#txtName").val()==0){
						alert("请输入支付名称!");
						return false;
					};
					if($("#ddlPayType").val()==1){						
						if($("#ddlInterface").val()==0){
							alert("请选择支付接口!");
							return false;
						}
						else if($("#ddlInterface").val()==4 || $("#ddlInterface").val()==5)
						{
							if($("#txtEmail").val()=="")
							{
								alert("Email帐号必须提供");
								return false;
							};
						}
						else if($("#ddlInterface").val()==33)
						{
							if($("#txtUserID").val()=="")
							{
								alert("用户ID必须提供");
								return false;
							};
						}
						else
						{
							if($("#ddlInterface").val()!='14'&& $("#ddlInterface").val()!='21' && $("#ddlInterface").val()!='32')
							{
								if($("#txtUserID").val()==""){
									alert("用户ID必须提供");
									return false;
								};
								if($("#txtPrivateKey").val()==""){
									alert("私钥必须提供");
									return false;
								};
								if($("#ddlInterface").val()==2){
									if($("#txtParentID").val()==""){
										alert("ParentID必须提供");
										return false;
									};
								};
							}							
						};
					};
				});
			});
			function Init(arg)
			{
				switch(arg){
						case "2"://支付宝(即时到账)
							$(".keys").show();
							$(".parent").show();
							$(".settings").show();
							$(".email").hide();
							$("#register").html("<font color=red>支付宝的特约商家才可以使用此支付接口，详情请联系客服</font>");
							break;
						case "15"://支付宝
							$(".keys").show();
							$(".parent").show();
							$(".settings").show();
							$(".email").hide();
							$("#register").html("<font color=red>支付宝的特约商家才可以使用此支付接口，详情请联系客服</font>");
							break;
						case "16"://支付宝但不支付
							$(".keys").show();
							$(".parent").show();
							$(".settings").show();
							$(".email").hide();
							$("#register").html("<font color=red>支付宝的特约商家才可以使用此支付接口，详情请联系客服</font>");
							break;
						case "3"://网银支付接口(国内)
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "4"://Paypal支付
							$(".keys").hide();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").show();
							$("#register").html("");
							break;
						
						case "7"://快钱支付
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "10"://腾讯财付通即时到帐支付
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("<a href='http://www.xpshop.cn/tenpay/tenpay.html' target='_blank'><font color='red'>[点击这里进行财付通商户注册，优惠套餐等你拿！]</font></a>");
							break;
						case "12"://腾讯财付通担保支付
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("<a href='http://www.xpshop.cn/tenpay/tenpay.html' target='_blank'><font color='red'>[点击这里进行财付通商户注册，优惠套餐等你拿！]</font></a>");
							break;
						case "13"://环讯支付
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "14": //银联在线支付
							$(".keys").hide();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "21": //E张卡支付
							$(".keys").show();
							$("#key").hide();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "31": //招商银行信用卡支付
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "32": //交通银行支付
							$(".keys").hide();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "33": //上海银联
						    $(".keys").show();
						    $("#key").hide();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");	
							break;
						case "34": //招商银行综合支付
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "35": //工商银行
						    $(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");	
							break;
						case "36": //中信银行
						    $(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");	
							break;
						case "37": //中国光大银行
						    $(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");	
							break;
						case "38": //中国光大银行
						    $(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");	
							break;
						case "39": //招商银行电话支付
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							$("#register").html("");
							break;
						case "48"://中国银联
							$(".keys").show();
							$(".parent").hide();
							$(".settings").hide();
							$(".email").hide();
							break;
					};
			}
			function ShowAlipayButton()
			{
				if(document.Form1.ddlAliPaySetting.value== "0")
				{
					document.Form1.elements["alipaybt"].style.display = "none";
				}
				else
				{
					document.Form1.elements["alipaybt"].style.display = "";
					document.Form1.elements["alipaybt"].src = "../upload/alipay_buttons/" + document.Form1.ddlAliPaySetting.value;
				}
			}
			</script>
			<style>
				.interface{display:none;}
				.online{display:none;}
				.email{display:none;}
			</style>
	</HEAD>
	<body>
	    <div class="container">
		<div class="sub_container">
		<div class="sub_container_title"><a href="<%=AdminDefault%>" target="_top">桌面</a><img src="images/admin_title.jpg" height=9px width=8px align="absmiddle" />
		<% if(this.Request.QueryString["Action"] == "Manage"){%>支付方式列表<%}if(this.Request.QueryString["Action"] == "Add" | this.Request.QueryString["Action"] == "Modify"){%>支付方式添加<%}%></div>
		<div class="sub_container_content">
		<form id="Form1" method="post" runat="server">
		    <div class="frame">
		        <div class="frame_title"><asp:label id="lblAction" runat="server" CssClass="tableHeaderText"></asp:label></div>
		        <div class="frame_content">
		            <% if(this.Request.QueryString["Action"] == "Manage"){%>
			        <table class="tableBorder" cellSpacing="0" cellPadding="0" width="98%" align="center" border="0">
				        <tr>
					        <td class="forumRowHighlight" height="23"><asp:datagrid id="dgPayment" runat="server" HeaderStyle-CssClass="summary-title" HorizontalAlign="Center"
							        Width="100%" DataKeyField="PaymentID" AutoGenerateColumns="False" PagerStyle-Mode="NumericPages" AllowPaging="False">
							        <HeaderStyle Font-Bold="True"></HeaderStyle>
							        <Columns>
								        <asp:TemplateColumn HeaderText="序号">
									        <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
									        <ItemStyle HorizontalAlign="Left" Width="50px"></ItemStyle>
									        <ItemTemplate>
										        <%# DataBinder.Eval(Container.DataItem, "PaymentID") %>
									        </ItemTemplate>
								        </asp:TemplateColumn>
								        <asp:TemplateColumn HeaderText="支付名称">
									        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
									        <ItemStyle HorizontalAlign="Center"></ItemStyle>
									        <ItemTemplate>
										        <%# DataBinder.Eval(Container.DataItem, "Name") %>
									        </ItemTemplate>
								        </asp:TemplateColumn>
								        <asp:TemplateColumn HeaderText="接口类型">
									        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
									        <ItemStyle HorizontalAlign="Center"></ItemStyle>
									        <ItemTemplate>
										        <%# GetInterfaceName(DataBinder.Eval(Container.DataItem, "InterfaceID").ToString()) %>
									        </ItemTemplate>
								        </asp:TemplateColumn>
								        <asp:TemplateColumn HeaderText="支持币种">
									        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
									        <ItemStyle HorizontalAlign="Center"></ItemStyle>
									        <ItemTemplate>
										        <%# DataBinder.Eval(Container.DataItem, "SupportCoins") %>
									        </ItemTemplate>
								        </asp:TemplateColumn>
								        <asp:TemplateColumn HeaderText="状态">
									        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
									        <ItemStyle HorizontalAlign="Center"></ItemStyle>
									        <ItemTemplate>
										        <a href='Actions.aspx?Action=ChangePaymentStatus&PaymentID=<%# DataBinder.Eval(Container.DataItem, "PaymentID") %>&Status=<%# DataBinder.Eval(Container.DataItem, "Status") %>'>
											        <img src='images/publish_<%# DataBinder.Eval(Container.DataItem, "Status") %>.png' border="0" alt='<%# (DataBinder.Eval(Container.DataItem, "Status").ToString() == "1") ? "使用中" : "暂不使用" %>'></a>
									        </ItemTemplate>
								        </asp:TemplateColumn>
								        <asp:TemplateColumn>
									        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
									        <ItemStyle HorizontalAlign="Center"></ItemStyle>
									        <ItemTemplate>
										        <a href='Payment.aspx?Action=Modify&PaymentID=<%# DataBinder.Eval(Container.DataItem, "PaymentID") %>'>
											        修改</a>
									        </ItemTemplate>
								        </asp:TemplateColumn>
								        <asp:ButtonColumn Text="&lt;div id=&quot;de&quot; onclick=&quot;javascript:return confirm('确认删除吗？')&quot;&gt;删除&lt;/div&gt;"
									        CommandName="Delete">
									        <ItemStyle HorizontalAlign="Center"></ItemStyle>
								        </asp:ButtonColumn>
							        </Columns>
							        <PagerStyle Mode="NumericPages"></PagerStyle>
						        </asp:datagrid></td>
				        </tr>
			        </table>
			        <%}if(this.Request.QueryString["Action"] == "Add" | this.Request.QueryString["Action"] == "Modify"){%>			      
					<table cellSpacing="0" cellPadding="0" class="ptable" style="width:100%">
						<tr>
							<th class="tl">支付名称：</th>
							<td class="tr">
								<asp:textbox id="txtName" runat="server"></asp:textbox><font color="red">*</font>
								<asp:literal id="ltrPaymentInfo" Runat="server"></asp:literal>
							</td>
						</tr>
						<tr>
							<th class="tl">支付类型：</th>
							<td class="tr">
								<asp:dropdownlist id="ddlPayType" runat="server">
									<asp:ListItem Value="1">在线支付</asp:ListItem>
									<asp:ListItem Value="2">银行卡转账</asp:ListItem>
									<asp:ListItem Value="3">邮局汇款</asp:ListItem>
									<asp:ListItem Value="4">公司转账</asp:ListItem>	
									<asp:ListItem Value="5">货到付款</asp:ListItem>
									<asp:ListItem Value="6">门店自提</asp:ListItem>			      
								</asp:dropdownlist>
							</td>
						</tr>
						<tr class="online interface">
							<th class="tl">支付接口：</th>
							<td class="tr">
								<asp:dropdownlist id="ddlInterface" width="150" runat="server" AutoPostBack="false">
									<asp:ListItem Value="0">-请选择支付接口-</asp:ListItem>
									<asp:ListItem Value="2">支付宝即时到账接口</asp:ListItem>
									<asp:ListItem Value="10">财付通即时到帐接口</asp:ListItem>											
									<asp:ListItem Value="7">快钱支付</asp:ListItem>
									<asp:ListItem Value="3">网银支付接口</asp:ListItem>		
                                    <asp:ListItem Value="14">银联在线支付接口</asp:ListItem>    
								</asp:dropdownlist>
								<span id="register"></span>
								<asp:HyperLink id="HyperLink1" runat="server" Visible="False" Target="_blank">[点击这里进行IPS商户注册]</asp:HyperLink>
							</td>
						</tr>
						<tr class="online keys">
							<th class="tl">商户ID：</th>
							<td class="tr">
								<asp:TextBox id="txtUserID" runat="server"></asp:TextBox><FONT color="red">*</FONT>
							</td>
						</tr>
						<tr id="key" class="online keys">
							<th class="tl">私钥：</th>
							<td class="tr">
								<asp:TextBox id="txtPrivateKey" runat="server"></asp:TextBox><FONT color="red">*</FONT>
							</td>
						</tr>
						<tr class="online parent">
							<th class="tl">ParentID：</th>
							<td class="tr">
								<asp:TextBox id="txtParentID" runat="server"></asp:TextBox><FONT color="red">*</FONT>
							</td>
						</tr>
						<tr class="online email">
							<th class="tl">Email：</th>
							<td class="tr">
								<asp:TextBox id="txtEmail" runat="server"></asp:TextBox><FONT color="red">*</FONT>
							</td>
						</tr>
						<tr class="online settings" style="display:none">
							<th class="tl" style="display:none">前台直接购买：</th>
							<td class="tr" style="display:none">
								<asp:DropDownList id="ddlAliPaySetting" runat="server">
									<asp:ListItem Value="0">不开启此功能</asp:ListItem>
									<asp:ListItem Value="button_1.gif">开启，并使用按钮1</asp:ListItem>
									<asp:ListItem Value="button_2.gif">开启，并使用按钮2</asp:ListItem>
									<asp:ListItem Value="button_3.gif">开启，并使用按钮3</asp:ListItem>
									<asp:ListItem Value="button_4.gif">开启，并使用按钮4</asp:ListItem>
								</asp:DropDownList><IMG id="alipaybt" style="DISPLAY: none" name="alipaybt">[<A href="http://www.xpshop.cn/help/help_detail.aspx?id=28" target="_blank">支付宝使用方法帮助</A>]
							</td>
						</tr>
						<tr id="coins" class="online">
							<th class="tl">支持货币：</th>
							<td class="tr">
								<asp:checkboxlist id="cblSupportCoins" runat="server" RepeatColumns="5" RepeatDirection="Horizontal"></asp:checkboxlist>
							</td>
						</tr>
						<tr>
							<th class="tl">描述：</th>
							<td class="tr"><FTB:FREETEXTBOX id="ftbContent" runat="Server" ImageGalleryPath="Upload/" ToolbarType="OfficeXP" ButtonPath="images/ftb/officeXP/" ButtonDownImage="True" ButtonOverImage="True" Width="520"></FTB:FREETEXTBOX></td>
						</tr>
						<tr>
							<td colSpan="2" class="center">
								<asp:button id="btnSave" OnClick="btnSave_Click" runat="server" Text="保存" CssClass="inputbtn"></asp:button>
								<asp:Button id="btnCancel" OnClick="btnCancel_Click" runat="server" Text="取消" CausesValidation="False" CssClass="inputbtn"></asp:Button>
							</td>
						</tr>
					</table>
			        <%}%>
		        </div>
	        </div>
		</form>
		</div>
		</div>
		</div>
	</body>
</HTML>


